﻿using System;
using System.Linq;
using System.Text;
using System.Collections.Generic;
using System.Windows.Forms;

namespace Esempio5
{
    public static class PanelExtensions
    {
        public static TextBox CreateTextBox(this Panel panel)
        {
            TextBox textBox = new TextBox();
            textBox.Multiline = true;
            textBox.WordWrap = false;
            textBox.Dock = DockStyle.Fill;
            textBox.ScrollBars = ScrollBars.Both;
            panel.Controls.Clear();
            panel.Controls.Add(textBox);
            return textBox;
        }

        public static TreeView CreateTreeView(this Panel panel)
        {
            TreeView treeView = new TreeView();
            treeView.Dock = DockStyle.Fill;
            panel.Controls.Clear();
            panel.Controls.Add(treeView);
            return treeView;
        }
    }
}
